+++
date = "2018-08-23"
weight = 100

title = "18.09 TestReports 20180815 tiny-containers"

aliases = [
    "/old-wiki/18.09/TestReports/20180815/tiny-containers"
]
+++

Testing results considerations:

1.  These tests use tiny container images.
2.  All automated test cases already integrated into LAVA system were
    executed on the following images: Arm, Arm64, AMD64.
3.  Failures and partial failures were filed as bugs in Phabricator for
    further investigation and analysis.

-----

The platform image used for these tests are:

  - [Arm
    (20180815.0)](https://images.apertis.org/daily/experimental/18.09/20180815.0/armhf/tiny/apertis-lxc-18.09-armhf-tiny_20180815.0.tar.gz)
  - [Arm64
    (20180815.0)](https://images.apertis.org/daily/experimental/18.09/20180815.0/arm64/tiny/apertis-lxc-18.09-arm64-tiny_20180815.0.tar.gz)
  - [AMD64
    (20180815.0)](https://images.apertis.org/daily/experimental/18.09/20180815.0/amd64/tiny/apertis-lxc-18.09-amd64-tiny_20180815.0.tar.gz)

| ID                                                                        | Description                                                                               | Type       | Arm     | Arm64  | AMD64  | Tested By | Notes                                                                                                                                                                                                                                                                                                                                           |
| ------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- | ---------- | ------- | ------ | ------ | --------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **LAVA sanity**                                                           |                                                                                           |            |         |        |        |           |                                                                                                                                                                                                                                                                                                                                                 |
| [lava](https://wiki.apertis.org/QA/Test%20Cases/)                         | Check that LAVA basically works                                                           | Integrated | PARTIAL | PASSED | PASSED | andrewsh  | [1](https://lava.collabora.co.uk/scheduler/job/1224077) [2](https://lava.collabora.co.uk/scheduler/job/1224076) [3](https://lava.collabora.co.uk/scheduler/job/1224075) [4](https://lava.collabora.co.uk/scheduler/job/1233788) [5](https://lava.collabora.co.uk/scheduler/job/1233789) [6](https://lava.collabora.co.uk/scheduler/job/1233790) |
| [check-tiny-system-containers](https://wiki.apertis.org/QA/Test%20Cases/) | Test privileged tiny container with shared network                                        | Integrated | FAILED  | PASSED | PASSED | andrewsh  | [7](https://lava.collabora.co.uk/scheduler/job/1224077) [8](https://lava.collabora.co.uk/scheduler/job/1224076) [9](https://lava.collabora.co.uk/scheduler/job/1224075)                                                                                                                                                                         |
| [check-tiny-user-containers](https://wiki.apertis.org/QA/Test%20Cases/)   | Test non-privileged tiny container without networking                                     | Integrated | FAILED  | PASSED | PASSED | andrewsh  | [10](https://lava.collabora.co.uk/scheduler/job/1224077) [11](https://lava.collabora.co.uk/scheduler/job/1224076) [12](https://lava.collabora.co.uk/scheduler/job/1224075)                                                                                                                                                                      |
|                                                                           |                                                                                           |            |         |        |        |           |                                                                                                                                                                                                                                                                                                                                                 |
|                                                                           |                                                                                           |            |         |        |        |           |                                                                                                                                                                                                                                                                                                                                                 |
|                                                                           | PASSED - All tests passed.                                                                |            |         |        |        |           |                                                                                                                                                                                                                                                                                                                                                 |
|                                                                           | PARTIAL - Tests mostly passed, with some minor problems.                                  |            |         |        |        |           |                                                                                                                                                                                                                                                                                                                                                 |
|                                                                           | FAILED - One or more tests failed.                                                        |            |         |        |        |           |                                                                                                                                                                                                                                                                                                                                                 |
|                                                                           | NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware. |            |         |        |        |           |                                                                                                                                                                                                                                                                                                                                                 |
|                                                                           |                                                                                           |            |         |        |        |           |                                                                                                                                                                                                                                                                                                                                                 |

[Test Reports]( {{< ref "/qa/weekly_tests" >}} )

